Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Kubuntu 12.04: api version mismatch #172

Open
hotice opened this Issue · 9 comments

6 participants

@hotice

Everpad does not work in Kubuntu 12.04 (KDE). When clicking the tray icon, it says "API version mismatch, please restart" but after restarting, this continues to be displayed. See screenshot: http://i.imgur.com/9Um3t.png

@baogun

Is 'everpad-provider' & 'everpad-lens'' started?

@hotice

No. Here's the error I get when running "everpad" from a terminal:

ERROR:dbus.proxies:Introspect error on :1.80:/EverpadProvider: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

@baogun

Yes. Everpad-provider is not started.
Try to open three terminals and start everpad-provider in first, everpad-lens in second and everpad in third.

@hotice

When running "everpad-provider", I get:

"QWidget: Cannot create a QWidget when no GUI is being used".

And this is what I get when running "everpad-lens":

ERROR:root:Could not find any typelib for Notify
Traceback (most recent call last):
File "/usr/bin/everpad-lens", line 9, in
load_entry_point('everpad==2.3dev', 'console_scripts', 'everpad-lens')()
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 337, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2279, in load_entry_point
return ep.load()
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1989, in load
entry = import(self.module_name, globals(),globals(), ['name'])
File "/usr/lib/pymodules/python2.7/everpad/specific/unity/lens.py", line 4, in
from gi.repository import Gio, Unity, GObject, Notify
ImportError: cannot import name Notify

@cas--

For everpad-lens is gir1.2-notify-0.7 installed?

@hotice

It wasn't installed (it should be added to the packaging since it should have been...). But everpad-lens still throws an error:

ERROR:dbus.proxies:Introspect error on :1.73:/EverpadProvider: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
ERROR:dbus.proxies:Introspect error on :1.75:/EverpadProvider: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
Traceback (most recent call last):
File "/usr/bin/everpad-lens", line 9, in
load_entry_point('everpad==2.3dev', 'console_scripts', 'everpad-lens')()
File "/usr/lib/pymodules/python2.7/everpad/specific/unity/lens.py", line 152, in main
run_lens(EverpadLens, sys.argv)
File "/usr/lib/python2.7/dist-packages/singlet/utils.py", line 45, in run_lens
lens = lens_class()
File "/usr/lib/pymodules/python2.7/everpad/specific/unity/lens.py", line 49, in init
self.update_props()
File "/usr/lib/pymodules/python2.7/everpad/specific/unity/lens.py", line 56, in update_props
for tag_struct in provider.list_tags():
File "/usr/lib/pymodules/python2.7/everpad/tools.py", line 30, in wrapper
return getattr(self.interface, name)(args, *kwargs)
File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call

return self.proxy_method(args, *keywords)
File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call_

**keywords)
File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.75 was not provided by any .service files

Everything is probably due to missing dependencies which aren't available by default in KDE under Ubuntu 12.04 (although, it works in Kubuntu 12.10 without any issues).

@HougeLangley

Me Too, Maybe same problem in kubuntu12.04

@Bastian-Kuhn

I have the same error on kubuntu 12.04:

dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.152 was not provided by any .service files

when trying to start everpad-lens

@joncamfield

I got this in 12.04/Unity (64bit) as well, and I first experienced #188 , then the menu appeared after the second notification, and restarting it "works" but the notification comes back multiple times. everpad-provider and e-calendar-fact (from evolution) were fighting for 100% of my CPU. Killing both those processes and then restarting everpad is so far helping.

Let me know if I can send over any useful logfiles/etc.

@nvbn nvbn referenced this issue from a commit
@nvbn fix restart policy for #188 and #172 e71e94b
@mhaggag mhaggag referenced this issue from a commit in mhaggag/everpad
@nvbn fix restart policy for #188 and #172 a84e02a
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.